org.apache.pdfbox.preflight

## Class ValidationResult

- java.lang.Object
- - org.apache.pdfbox.preflight.ValidationResult

    public class ValidationResult
    extends Object

Object returned by the validate method of the PDFValidator. This object contains a boolean to know if the PDF is PDF/A-1x compliant. If the document isn't PDF/A-1x a list of errors is provided.

### Nested Class Summary

Nested Classes
`static class` `ValidationResult.ValidationError` This Class represents an error of validation.

### Constructor Summary

Constructors
Constructor and Description
`ValidationResult(boolean isValid)` Create a Validation result object
`ValidationResult(List<ValidationResult.ValidationError> errors)` Create a Validation Result object.
`ValidationResult(ValidationResult.ValidationError error)` Create a Validation Result object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError(ValidationResult.ValidationError error)` Add error to the list of ValidationError.
`void` `addErrors(List<ValidationResult.ValidationError> errors)` Add a set of errors to the list of ValidationError.
`List<ValidationResult.ValidationError>` `getErrorsList()`
`org.apache.xmpbox.XMPMetadata` `getXmpMetaData()`
`boolean` `isValid()`
`void` `mergeResult(ValidationResult otherResult)` Add the ValidationError object of the otherResult in the Error list of the current object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationResult

    public ValidationResult(boolean isValid)

Create a Validation result object

Parameters:
  `isValid` -

#### ValidationResult

    public ValidationResult(ValidationResult.ValidationError error)

Create a Validation Result object. This constructor force the isValid to false and add the given error to the list or ValidationErrors.

Parameters:
  `error` - if error is null, no error is added to the list.

#### ValidationResult

    public ValidationResult(List<ValidationResult.ValidationError> errors)

Create a Validation Result object. This constructor force the isValid to false and add all the given errors to the list or ValidationErrors.

Parameters:
  `errors` - if error is null, no error is added to the list.

### Method Detail

#### mergeResult

    public void mergeResult(ValidationResult otherResult)

Add the ValidationError object of the otherResult in the Error list of the current object. Apply a logical AND on the isValid boolean.

Parameters:
  `otherResult` -

#### getXmpMetaData

    public org.apache.xmpbox.XMPMetadata getXmpMetaData()

Returns:
  the xmpMetaData

#### isValid

    public boolean isValid()

Returns:
  true if the PDF is valid,false otherwise

#### addError

    public void addError(ValidationResult.ValidationError error)

Add error to the list of ValidationError. If the given error is null, this method does nothing

Parameters:
  `error` -

#### addErrors

    public void addErrors(List<ValidationResult.ValidationError> errors)

Add a set of errors to the list of ValidationError. If the given list is null, this method does nothing.

Parameters:
  `errors` -

#### getErrorsList

    public List<ValidationResult.ValidationError> getErrorsList()

Returns:
  the list of validation errors